package schedframe.resources.computing.coolemall;

import java.util.List;

import schedframe.resources.StandardResourceType;
import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.Processor;
import schedframe.resources.computing.description.ComputingResourceDescription;

public class NodeGroup extends ComputingResource{
	
	public NodeGroup(ComputingResourceDescription resDesc) {
		super(resDesc);
	}

	@SuppressWarnings("unchecked")
	public List<Node> getNodes(){
		return (List<Node>) getDescendantsByType(StandardResourceType.Node);
	}
	
	@SuppressWarnings("unchecked")
	public List<Processor> getProcessors(){
		return (List<Processor>) getDescendantsByType(StandardResourceType.Processor);
	}

}
