package schedframe.resources.computing.description;

import java.util.Collection;
import java.util.List;
import java.util.Map;

import schedframe.resources.units.ResourceUnit;
import schedframe.resources.units.ResourceUnitName;

public interface ExecutingResourceDescription {
	
	public void addResourceUnit(ResourceUnit unit);
	
	public ResourceUnit getResourceUnit(ResourceUnitName unitName) throws NoSuchFieldException ;

	public List<ResourceUnit> getResourceUnitList(ResourceUnitName unitName) throws NoSuchFieldException;

	public Collection<ResourceUnit> getResourceUnit();
	
	public Map<ResourceUnitName, List<ResourceUnit>> getResourceUnits();
}
